Vagrant up fails with ArgumentError

Tag: vagrant Author: hackhero999 Date: 2014-04-01

I keep running into this strange error when I run the vagrant up command :

/opt/vagrant/embedded/lib/ruby/2.0.0/rubygems/version.rb:163:in `=~': invalid byte sequence in UTF-8 (ArgumentError)

with the following Vagrant file. Here is my Vagrant file and the full error trace. I tried using different versions of ruby and It hasn't helped. Any ideas?

Lastly, I am using version 1.5.1 of Vagrant and version 2.0.0p451 of Ruby.